summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-08-06 17:42:12 +0200
committerHolger Levsen <holger@layer-acht.org>2015-08-06 17:42:12 +0200
commitbe2d53c0167c920d24ae0d614957883528e548b0 (patch)
tree02835a0cd02678d0583fcf30d60bbef1f6e3b08e /bin
parentcf89bcffed6b567d167afded141accb27f902d5c (diff)
downloadjenkins.debian.net-be2d53c0167c920d24ae0d614957883528e548b0.tar.xz
reproducible amd64: add new build host: profitbricks1
Diffstat (limited to 'bin')
-rwxr-xr-xbin/common-functions.sh12
-rwxr-xr-xbin/reproducible_master_wrapper.sh11
-rwxr-xr-xbin/reproducible_node_wrapper.sh12
3 files changed, 25 insertions, 10 deletions
diff --git a/bin/common-functions.sh b/bin/common-functions.sh
index bde8f256..c8ffa620 100755
--- a/bin/common-functions.sh
+++ b/bin/common-functions.sh
@@ -54,16 +54,16 @@ else
fi
if [ -z "$MIRROR" ]; then
case $HOSTNAME in
- jenkins) export MIRROR=http://ftp.de.debian.org/debian ;;
- bpi0|cbxi4pro0|hb0|wbq0) export MIRROR=http://ftp.de.debian.org/debian ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|profitbricks-build?-amd64) export MIRROR=http://ftp.de.debian.org/debian ;;
+ bpi0|cbxi4pro0|hb0|wbq0) export MIRROR=http://ftp.de.debian.org/debian ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$http_proxy" ]; then
case $HOSTNAME in
- jenkins) export http_proxy="http://localhost:3128" ;;
- bpi0|cbxi4pro0|hb0|wbq0) export http_proxy="http://10.0.0.15:8000/" ;;
- *) echo "unsupported host, exiting." ; exit 1 ;;
+ jenkins|profitbricks-build1-amd64) export http_proxy="http://localhost:3128" ;;
+ bpi0|cbxi4pro0|hb0|wbq0) export http_proxy="http://10.0.0.15:8000/" ;;
+ *) echo "unsupported host, exiting." ; exit 1 ;;
esac
fi
if [ -z "$CHROOT_BASE" ]; then
diff --git a/bin/reproducible_master_wrapper.sh b/bin/reproducible_master_wrapper.sh
index c49fd34c..ad1fa3fe 100755
--- a/bin/reproducible_master_wrapper.sh
+++ b/bin/reproducible_master_wrapper.sh
@@ -5,16 +5,19 @@ set -e
case "$NODE_NAME" in
bpi0-armhf-rb.debian.net)
- exec ssh -p 2222 jenkins@$NODE_NAME "$JOB_NAME"
+ exec ssh -p 2222 $NODE_NAME "$JOB_NAME"
;;
hb0-armhf-rb.debian.net)
- exec ssh -p 2224 jenkins@$NODE_NAME "$JOB_NAME"
+ exec ssh -p 2224 $NODE_NAME "$JOB_NAME"
;;
wbq0-armhf-rb.debian.net)
- exec ssh -p 2225 jenkins@$NODE_NAME "$JOB_NAME"
+ exec ssh -p 2225 $NODE_NAME "$JOB_NAME"
;;
cbxi4pro0-armhf-rb.debian.net)
- exec ssh -p 2226 jenkins@$NODE_NAME "$JOB_NAME"
+ exec ssh -p 2226 $NODE_NAME "$JOB_NAME"
+ ;;
+ profitbricks-build?-amd64)
+ exec ssh $NODE_NAME "$JOB_NAME"
;;
*)
echo >&2 "Unknown node $NODE_NAME."
diff --git a/bin/reproducible_node_wrapper.sh b/bin/reproducible_node_wrapper.sh
index e64fa326..1cd42a48 100755
--- a/bin/reproducible_node_wrapper.sh
+++ b/bin/reproducible_node_wrapper.sh
@@ -83,6 +83,18 @@ elif [ "$*" = "reproducible_maintenance_armhf_wbq0" ] ; then
exec /srv/jenkins/bin/reproducible_maintenance.sh ; croak "Exec failed";
elif [ "$*" = "reproducible_setup_schroot_testing_debbindiff_armhf_wbq0" ] ; then
exec /srv/jenkins/bin/schroot-create.sh reproducible reproducible-testing-debbindiff testing debbindiff locales-all ; croak "Exec failed";
+elif [ "$*" = "reproducible_setup_pbuilder_testing_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/reproducible_setup_pbuilder.sh testing ; croak "Exec failed";
+elif [ "$*" = "reproducible_setup_pbuilder_unstable_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/reproducible_setup_pbuilder.sh unstable ; croak "Exec failed";
+elif [ "$*" = "reproducible_setup_pbuilder_experimental_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/reproducible_setup_pbuilder.sh experimental ; croak "Exec failed";
+elif [ "$*" = "reproducible_maintenance_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/reproducible_maintenance.sh ; croak "Exec failed";
+elif [ "$*" = "reproducible_setup_schroot_testing_debbindiff_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/schroot-create.sh reproducible reproducible-testing-debbindiff testing debbindiff locales-all ; croak "Exec failed";
+elif [ "$*" = "reproducible_setup_schroot_unstable_debbindiff_amd64_profitbricks1" ] ; then
+ exec /srv/jenkins/bin/schroot-create.sh reproducible reproducible-unstable-debbindiff unstable debbindiff locales-all ; croak "Exec failed";
fi
croak "Command '$*' not found in allowed commands."